Accepting request 512662 from home:pmonrealgonzalez:branches:network:utilities

- Disable ikev2pI2 test that fails on ppc, ppc64 and ppc64le
  * Added patch tcpdump-ikev2pI2-test-fails-ppc.patch 

- Update to version 4.9.1 [bsc#1047873]
  * CVE-2017-11108/Fix bounds checking for STP.
  * Make assorted documentation updates and fix a few typos in output.
  * Fixup -C for file size >2GB
  * Show AddressSanitizer presence in version output.
  * Fix a bug in test scripts.
  * Fix a use-after-free when the requested interface does not exist.

OBS-URL: https://build.opensuse.org/request/show/512662
OBS-URL: https://build.opensuse.org/package/show/network:utilities/tcpdump?expand=0&rev=37
This commit is contained in:
Tomáš Chvátal 2017-07-26 13:42:33 +00:00 committed by Git OBS Bridge
parent 8d8a1b6e3b
commit 10ceab005c
7 changed files with 44 additions and 4 deletions

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:eae98121cbb1c9adbedd9a777bf2eae9fa1c1c676424a54740311c8abcee5a5e
size 1260309

Binary file not shown.

3
tcpdump-4.9.1.tar.gz Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:f9448cf4deb2049acf713655c736342662e652ef40dbe0a8f6f8d5b9ce5bd8f3
size 1258108

BIN
tcpdump-4.9.1.tar.gz.sig Normal file

Binary file not shown.

View File

@ -0,0 +1,20 @@
Index: tcpdump-4.9.1/tests/crypto.sh
===================================================================
--- tcpdump-4.9.1.orig/tests/crypto.sh
+++ tcpdump-4.9.1/tests/crypto.sh
@@ -28,8 +28,13 @@ then
[ $? -eq 0 ] || exitcode=1
./TESTonce espudp1 espudp1.pcap espudp1.out '-nnnn -E "file esp-secrets.txt"'
[ $? -eq 0 ] || exitcode=1
- ./TESTonce ikev2pI2 ikev2pI2.pcap ikev2pI2.out '-E "file ikev2pI2-secrets.txt" -v -v -v -v'
- [ $? -eq 0 ] || exitcode=1
+ case $(uname -m) in
+ "ppc" | "ppc64" | "ppc64le" ) echo "skipping test ikev2pI2"
+ ;;
+ * ) ./TESTonce ikev2pI2 ikev2pI2.pcap ikev2pI2.out '-E "file ikev2pI2-secrets.txt" -v -v -v -v'
+ [ $? -eq 0 ] || exitcode=1
+ ;;
+ esac
./TESTonce isakmp4 isakmp4500.pcap isakmp4.out '-E "file esp-secrets.txt"'
[ $? -eq 0 ] || exitcode=1
fi

View File

@ -1,3 +1,20 @@
-------------------------------------------------------------------
Wed Jul 26 12:33:53 UTC 2017 - pmonrealgonzalez@suse.com
- Disable ikev2pI2 test that fails on ppc, ppc64 and ppc64le
* Added patch tcpdump-ikev2pI2-test-fails-ppc.patch
-------------------------------------------------------------------
Wed Jul 26 09:16:56 UTC 2017 - pmonrealgonzalez@suse.com
- Update to version 4.9.1 [bsc#1047873]
* CVE-2017-11108/Fix bounds checking for STP.
* Make assorted documentation updates and fix a few typos in output.
* Fixup -C for file size >2GB
* Show AddressSanitizer presence in version output.
* Fix a bug in test scripts.
* Fix a use-after-free when the requested interface does not exist.
-------------------------------------------------------------------
Thu Feb 2 14:47:56 UTC 2017 - pmonrealgonzalez@suse.com

View File

@ -18,7 +18,7 @@
%define min_libpcap_version 1.8.1
Name: tcpdump
Version: 4.9.0
Version: 4.9.1
Release: 0
Summary: A Packet Sniffer
License: BSD-3-Clause
@ -28,6 +28,8 @@ Source: http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
Source1: tcpdump-qeth
Source2: http://www.tcpdump.org/release/%{name}-%{version}.tar.gz.sig
Source3: http://www.tcpdump.org/tcpdump-workers.asc#/%{name}.keyring
# PATCH-FIX-OPENSUSE tcpdump-ikev2pI2-test-fails-ppc.patch -- Disable ikev2pI2 test on ppc, ppc64 and ppc64le
Patch0: tcpdump-ikev2pI2-test-fails-ppc.patch
BuildRequires: libpcap-devel >= %{min_libpcap_version}
BuildRequires: libsmi-devel
BuildRequires: openssl-devel
@ -40,6 +42,7 @@ ethernet. It can be used to debug specific network problems.
%prep
%setup -q
%patch0 -p1
%build
export CFLAGS="%{optflags} -Wall -DGUESS_TSO -fstack-protector -fno-strict-aliasing"